#include "egads.h"
#include "nmb.h"


int main(int argc, char **argv)
{
  int        maj, min, stat;
  const char *OCCrev;
  ego context, model;
  
  if (argc != 3) {
    printf("Usage:  %s fileName NMBfileName\n", argv[0]);
    return 1;
  }
  
  /* look at EGADS revision, open and load Model */
  EG_revision(&maj, &min, &OCCrev);
  printf("\n Using EGADS %2d.%02d with %s\n\n", maj, min, OCCrev);
  stat = EG_open(&context);
  if (stat != EGADS_SUCCESS) {
    printf(" EG_open = %d\n", stat);
    return 1;
  }
  stat = EG_loadModel(context, 0, argv[1], &model);
  if (stat != EGADS_SUCCESS) {
    printf(" EG_loadModel = %d\n", stat);
    EG_close(context);
    return 1;
  }
  
  stat = NMB_write(model, argv[2]);
  if (stat != EGADS_SUCCESS) printf(" NMB_write = %d\n", stat);

  EG_deleteObject(model);
  EG_close(context);
  
  return 0;
}