#
IDIR  = $(ESP_ROOT)/include
include $(IDIR)/$(ESP_ARCH)
LDIR  = $(ESP_ROOT)/lib
ifdef ESP_BLOC
ODIR  = $(ESP_BLOC)/obj
TDIR  = $(ESP_BLOC)/test
else
ODIR  = .
TDIR  = $(ESP_ROOT)/bin
endif

fun3d:  $(TDIR)/fun3dTest \
	$(TDIR)/fun3dAFLR4Test  $(TDIR)/fun3dTetgenTest \
	$(TDIR)/aeroelasticTest $(TDIR)/aeroelasticIterativeTest

$(TDIR)/fun3dTest:  $(ODIR)/fun3dTest.o $(LDIR)/libcaps.a
	$(CC) -o $(TDIR)/fun3dTest $(ODIR)/fun3dTest.o \
	-L$(LDIR) -lcaps -locsm -legads -ludunits2 $(RPATH) -lm -ldl
	
$(TDIR)/fun3dAFLR4Test:  $(ODIR)/fun3dAFLR4Test.o $(LDIR)/libcaps.a
	$(CC) -o $(TDIR)/fun3dAFLR4Test $(ODIR)/fun3dAFLR4Test.o \
	-L$(LDIR) -lcaps -locsm -legads -ludunits2 $(RPATH) -lm -ldl

$(TDIR)/fun3dTetgenTest:  $(ODIR)/fun3dTetgenTest.o $(LDIR)/libcaps.a
	$(CC) -o $(TDIR)/fun3dTetgenTest $(ODIR)/fun3dTetgenTest.o \
	-L$(LDIR) -lcaps -locsm -legads -ludunits2 $(RPATH) -lm -ldl

$(TDIR)/aeroelasticTest:  $(ODIR)/aeroelasticTest.o $(LDIR)/libcaps.a
	$(CC) -o $(TDIR)/aeroelasticTest $(ODIR)/aeroelasticTest.o \
	-L$(LDIR) -lcaps -locsm -legads -ludunits2 $(RPATH) -lm -ldl
	
$(TDIR)/aeroelasticIterativeTest:  $(ODIR)/aeroelasticIterativeTest.o $(LDIR)/libcaps.a
	$(CC) -o $(TDIR)/aeroelasticIterativeTest $(ODIR)/aeroelasticIterativeTest.o \
	-L$(LDIR) -lcaps -locsm -legads -ludunits2 $(RPATH) -lm -ldl


$(ODIR)/fun3dTest.o:    fun3dTest.c $(IDIR)/caps.h
	$(CC) -c $(COPTS) $(DEFINE) -I$(IDIR) fun3dTest.c -o $(ODIR)/fun3dTest.o

$(ODIR)/fun3dAFLR4Test.o:    fun3dAFLR4Test.c $(IDIR)/caps.h
	$(CC) -c $(COPTS) $(DEFINE) -I$(IDIR) fun3dAFLR4Test.c -o $(ODIR)/fun3dAFLR4Test.o

$(ODIR)/fun3dTetgenTest.o:    fun3dTetgenTest.c $(IDIR)/caps.h
	$(CC) -c $(COPTS) $(DEFINE) -I$(IDIR) fun3dTetgenTest.c -o $(ODIR)/fun3dTetgenTest.o
	
$(ODIR)/aeroelasticTest.o:    aeroelasticTest.c $(IDIR)/caps.h
	$(CC) -c $(COPTS) $(DEFINE) -I$(IDIR) aeroelasticTest.c -o $(ODIR)/aeroelasticTest.o
	
$(ODIR)/aeroelasticIterativeTest.o:    aeroelasticIterativeTest.c $(IDIR)/caps.h
	$(CC) -c $(COPTS) $(DEFINE) -I$(IDIR) aeroelasticIterativeTest.c -o $(ODIR)/aeroelasticIterativeTest.o		
        
clean:
	-rm $(ODIR)/fun3dTest.o $(ODIR)/fun3dAFLR4Test.o $(ODIR)/aeroelasticTest.o $(ODIR)/aeroelasticIterativeTest.o

cleanall:	clean
	-rm $(TDIR)/fun3dTest $(TDIR)/fun3dAFLR4Test $(TDIR)/aeroelasticTest  $(TDIR)/aeroelasticIterativeTest
