
#diffOuput() 
#{
#    if (diff); then 
#    set +x
#    echo "diff passed"
#    else
#    set +x
#    exit 1
#    fi
#    set -x
#}

expectCSuccess ()
{
    # $1 = program
    # $2 = execution directory
    # $3 = run analysis 
     
    if ( $1 $2 $3); then
    set +x
    echo
    echo "============================================="
    echo "CAPS verification (using c-executables) case $1 passed (as expected)"
    echo "============================================="
    echo
    else
    set +x
    echo
    echo "================================================="
    echo "CAPS verification (using c-executables) case $1 failed (as NOT expected)"
    echo "================================================="
    echo
    rm -fr $2 csmData
    exit 1
    fi
    set -x
}

# function to run a case that is expected to fail
expectCFailure ()
{
    # $1 = program
    # $2 = execution directory
    # $3 = run analysis 
    
    if ( $1 $2 $3); then
    set +x
    echo
    echo "================================================="
    echo "CAPS verification (using c-executables) case $1 passed (as NOT expected)"
    echo "================================================="
    echo
    rm -fr $2 csmData
    exit 1
    else
    set +x
    echo
    echo "============================================="
    echo "CAPS verification (using c-executables) case $1 failed (as expected)"
    echo "============================================="
    echo
    
    fi
    set -x
}

# WORKSPACE needs to be defined such that it is folder containing CAPS 
# example: export WORKSPACE=/home/durschrj/Desktop/Software_and_Libs/CAPS/Build_from_Repo/

# Create a symbolic link to the csmData folder - cTest examples are hardcoded to look for ./csmData
if [ ! -d "csmData" ]; then
  echo "Creating link to csmData"
  ln -s $WORKSPACE/CAPS/test/csmData ./
fi

export cRegDir=./runDirectory

mkdir $cRegDir

######### Execute c-Test examples ########

###### AVL examples     #########

cp $WORKSPACE/CAPS/test/regressionTest/datafiles/avlOutput.txt ./${cRegDir}/
expectCSuccess "./avlTest" $cRegDir "0"

#################################


###### Meshing examples #########
if [ "$AFLR" != "" ]; then
    
    echo "No AFLR tests currently"
    
    if [ "$TETGEN" != "" ]; then
        echo "No AFLR-Tetgen tests currently"
    fi
fi

if [ "$TETGEN" != "" ]; then
    echo "Tetgen tests currently"
fi

#################################

###### FUN3D examples  ##########
expectCSuccess "./fun3dTest" $cRegDir

if [ "$AFLR" != "" ]; then

    expectCSuccess "./fun3dAFLR4Test" $cRegDir
fi 

if [ "$TETGEN" != "" ]; then
    expectCSuccess "./fun3dTetgenTest" $cRegDir
fi

#################################

###### Mystran examples  ##########
expectCSuccess "./mystranTest" $cRegDir "0"

#################################

##### Aeroelastic examples #####

if [ "$TETGEN" != "" ]; then
    cp $WORKSPACE/CAPS/test/regressionTest/datafiles/aeroelasticSimple_body1.dat ./${cRegDir}/
    cp $WORKSPACE/CAPS/test/regressionTest/datafiles/aeroelasticSimple_ddfdrive_bndry3.dat ./${cRegDir}/
    cp $WORKSPACE/CAPS/test/regressionTest/datafiles/aeroelasticSimple.F06 ./${cRegDir}/
    
    expectCSuccess "./aeroelasticTest" $cRegDir "0"
    expectCSuccess "./aeroelasticIterativeTest" $cRegDir "0"
fi
#################################

# Cleanup 
rm -fr $cRegDir csmData