
#diffOuput() 
#{
#    if (diff); then 
#    set +x
#    echo "diff passed"
#    else
#    set +x
#    exit 1
#    fi
#    set -x
#}

expectPythonSuccess ()
{
    if ( python2.7 $1 -workDir=$2 $3 ); then
    set +x
    echo
    echo "============================================="
    echo "CAPS verification (using pyCAPS) case $1 passed (as expected)"
    echo "============================================="
    echo
    else
    set +x
    echo
    echo "================================================="
    echo "CAPS verification (using pyCAPS) case $1 failed (as NOT expected)"
    echo "================================================="
    echo
    rm -fr $2 csmData
    exit 1
    fi
    set -x
}

# function to run a case that is expected to fail
expectPythonFailure ()
{
    if ( python2.7 $1 -workDir=$2 $3); then
    set +x
    echo
    echo "================================================="
    echo "CAPS verification (using pyCAPS) case $1 passed (as NOT expected)"
    echo "================================================="
    echo
    rm -fr $2 csmData
    exit 1
    else
    set +x
    echo
    echo "============================================="
    echo "CAPS verification (using pyCAPS) case $1 failed (as expected)"
    echo "============================================="
    echo
    
    fi
    set -x
}

# Create/append PYTHONPATH forpyCAPS.py (in future should need pyCAPS.py)  future -> pyCAPS.so in lib 
export PYTHONPATH=$PYTHONPATH:$WORKSPACE/CAPS/pyCAPS #$ESP_ROOT/lib

# Create a symbolic link to the csmData folder - pyTest examples are hardcoded to look for ./csmData
ln -s ../csmData ./

export capsPythonRegDir=runDirectory

mkdir $capsPythonRegDir

######### Execute pyTest examples ########

###### Meshing examples #########
if [ "$AFLR" != "" ]; then
    
    expectPythonSuccess "../aflr3_PyTest.py" $capsPythonRegDir
    expectPythonSuccess "../aflr4_PyTest.py" $capsPythonRegDir

    if [ "$TETGEN" != "" ]; then
        expectPythonSuccess "../aflr4_and_Tetgen_PyTest.py" $capsPythonRegDir
    fi
fi

if [ "$TETGEN" != "" ]; then
    expectPythonSuccess "../tetgen_PyTest.py" $capsPythonRegDir
fi

mkdir ./${capsPythonRegDir}/DelaundoAnalysisTest # Delaundo example requires a datafile 
cp datafiles/delaundoMesh.mesh ./${capsPythonRegDir}/DelaundoAnalysisTest/
expectPythonSuccess "../delaundo_PyTest.py" $capsPythonRegDir "-noAnalysis"

#################################

###### FUN3D examples  ##########
#expectPythonFailure "../fun3d_PyTest.py" $capsPythonRegDir # Won't run correctly - PYTHONPATH to be set for fun3d_namelist.py

if [ "$AFLR" != "" ]; then

    mkdir ./${capsPythonRegDir}/FUN3DandAFRLMeshTest # FUN3D - AFLR example requires a datafile 
    cp datafiles/fun3dAFLRTest.forces ./${capsPythonRegDir}/FUN3DandAFRLMeshTest/

    expectPythonSuccess "../fun3d_and_AFLR4_AFLR3_PyTest.py" $capsPythonRegDir "-noAnalysis"
fi 

if [ "$TETGEN" != "" ]; then
    
    mkdir ./${capsPythonRegDir}/FUN3DTetgenAnalysisTest # FUN3D - Tetgen example requires a datafile 
    cp datafiles/fun3dTetgenTest.forces ./${capsPythonRegDir}/FUN3DTetgenAnalysisTest/
    
    expectPythonSuccess "../fun3d_and_Tetgen_PyTest.py" $capsPythonRegDir "-noAnalysis"
fi

#################################

# Cleanup 
rm -fr $capsPythonRegDir csmData
